Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004577TestLinkExport/Importpublic2011-06-05 19:472015-05-09 10:04
Reporterkinow 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.0 (planned) 
Fixed in Version1.9.14 (2015 Q3) 
Summary0004577: Unable to import requirement using XML file
DescriptionI tried importing a requirement that I had previously exported from TestLink. I even tried changing the docid, but I keep receiving the message "Please choose the file to upload". Could somebody verify if it is an issue with Firefox or with the code for uploading files, please? No data was imported in TestLink.
Steps To Reproduce1. Open a requirement specification
2. Select import requirement
3. Change the File type to XML
4. Browse for the enclosed file in your PC
5. Click Upload file
TagsNo tags attached.
Database (MySQL,Postgres,etc)mysql Ver 14.14 Distrib 5.1.41, for Win32 (ia32)
BrowserMozilla Firefox 4.0
PHP VersionPHP 5.2
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Filesxml file icon req sec-child_req.xml [^] (527 bytes) 2011-06-05 19:48
png file icon 008.PNG [^] (53,817 bytes) 2011-06-05 19:49


png file icon 009.PNG [^] (48,158 bytes) 2011-06-05 19:49

- Relationships

-  Notes
(0015154)
fman (administrator)
2011-06-06 20:51

1. do not use 2.0 as version by right Alpha
2. this has been solved with fix for Alpha2
(0017007)
iklingen (reporter)
2012-07-25 11:16
edited on: 2012-07-25 11:18

I have same problem with TestLink 1.9.3 (Prague): I make 'Export All Test Suites' on a machine 1 (TL 1.9.3) and try to import the got XML on machine 2 (TL 1.9.3).

(0017008)
fman (administrator)
2012-07-25 12:09

1. NEVER vampirize and issue that is not corresponding to your version.
2. have you searched for similar issues ?
3. for import / export issues we always need to file you have used => please upload it

PLEASE OPEN NEW ISSUE WITH right TL version, we will be forced to delete all info that is not in concordance with version used to open issue.
(0017009)
iklingen (reporter)
2012-07-25 13:51

fman,

1. Sorry...
2. Yes, and I've found out this ticket.
3. I've got the XML file to import on the machine 1 (see my previous comment) and tried to upload one on the machine 2.

And I found out solution. Import/upload page specifies the max file size (around 6MiB in my case). My file size was around 5MiB. When I've made export/import by parts I was been able to move my tests to machine 2.

Maybe this will help you...
(0023179)
Mr.Bricodage (updater)
2015-04-26 16:15

No more problems with import Requirement via XML

- Issue History
Date Modified Username Field Change
2011-06-05 19:47 kinow New Issue
2011-06-05 19:48 kinow File Added: req sec-child_req.xml
2011-06-05 19:49 kinow File Added: 008.PNG
2011-06-05 19:49 kinow File Added: 009.PNG
2011-06-06 20:51 fman Note Added: 0015154
2012-07-25 11:16 iklingen Note Added: 0017007
2012-07-25 11:18 iklingen Note Edited: 0017007 View Revisions
2012-07-25 12:09 fman Note Added: 0017008
2012-07-25 13:51 iklingen Note Added: 0017009
2015-04-26 16:15 Mr.Bricodage Relationship added child of 0007083
2015-04-26 16:15 Mr.Bricodage Note Added: 0023179
2015-05-09 10:04 fman QA Team - Task Workflow Status => TBD
2015-05-09 10:04 fman Status new => closed
2015-05-09 10:04 fman Assigned To => fman
2015-05-09 10:04 fman Resolution open => fixed
2015-05-09 10:04 fman Fixed in Version => 1.9.14 (2015 Q3)
2015-05-15 11:54 Mr.Bricodage Relationship deleted child of 0007083



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker